%define rel		1

Summary:	Classical memory game with cards
Name:		lpairs2
Version:	2.3.1
Release:	%mkrel %{rel}
Url:		https://lgames.sourceforge.io/LPairs
Source0:	https://sourceforge.net/projects/lgames/files/lpairs/%{name}-%{version}.tar.gz
License:	GPLv3+
Group:		Games/Puzzles
BuildRequires:	sdl2-devel
BuildRequires:	sdl2_image-devel
BuildRequires:	sdl2_mixer-devel
BuildRequires:	sdl2_ttf-devel
Obsoletes:	lpairs < 2
Provides:	lpairs

%description
LPairs2 is a memory game with 2x36 high resolution animal cards where you turn
over any two cards and if they match they get removed. If they don't match they
are turned back over. The game is over when all cards have been matched. You
can play with different set sizes in fullscreen (6x4 to 12x6) or windowed mode
(6x4 to 10x7). And for anyone who's bored by just matching pairs: You can try
to match triplets and quadruplets as well. There is also a 2-player mode with a
CPU opponent.

%prep
%setup -q

%build
%configure	--bindir=%{_gamesbindir} \
		--with-libiconv-prefix=%{_prefix} \
		--with-libintl-prefix=%{_prefix} \
		--localstatedir=%{_localstatedir}/games
%make_build

%install
install -d %{buildroot}%{_localstatedir}/games
%make_install

desktop-file-install --vendor="" \
  --add-category="LogicGame" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc README TODO
%attr(2755, root, games) %{_gamesbindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png


%changelog
* Mon Jun 24 2024 ns80 <ns80> 2.3.1-1.mga10
+ Revision: 2076367
- new version 2.3.1

* Wed Aug 30 2023 ns80 <ns80> 2.3-1.mga10
+ Revision: 1981719
- new version 2.3

* Mon Jun 12 2023 ns80 <ns80> 2.2.1-1.mga9
+ Revision: 1961851
- new version 2.2.1

* Wed Mar 08 2023 ns80 <ns80> 2.2-2.mga9
+ Revision: 1948358
- rebuild for aging

* Tue Jun 07 2022 ns80 <ns80> 2.2-1.mga9
+ Revision: 1863049
- imported package lpairs2

